<?php
/*
 * Copyright 2005 - 2009  Zarafa B.V.
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License, version 3, 
 * as published by the Free Software Foundation with the following additional 
 * term according to sec. 7:
 *  
 * According to sec. 7 of the GNU Affero General Public License, version
 * 3, the terms of the AGPL are supplemented with the following terms:
 * 
 * "Zarafa" is a registered trademark of Zarafa B.V. The licensing of
 * the Program under the AGPL does not imply a trademark license.
 * Therefore any rights, title and interest in our trademarks remain
 * entirely with us.
 * 
 * However, if you propagate an unmodified version of the Program you are
 * allowed to use the term "Zarafa" to indicate that you distribute the
 * Program. Furthermore you may use our trademarks where it is necessary
 * to indicate the intended purpose of a product or service provided you
 * use it in accordance with honest practices in industrial or commercial
 * matters.  If you want to propagate modified versions of the Program
 * under the name "Zarafa" or "Zarafa Server", you may only do so if you
 * have a written permission by Zarafa B.V. (to acquire a permission
 * please contact Zarafa at trademark@zarafa.com).
 * 
 * The interactive user interface of the software displays an attribution
 * notice containing the term "Zarafa" and/or the logo of Zarafa.
 * Interactive user interfaces of unmodified and modified versions must
 * display Appropriate Legal Notices according to sec. 5 of the GNU
 * Affero General Public License, version 3, when you propagate
 * unmodified or modified versions of the Program. In accordance with
 * sec. 7 b) of the GNU Affero General Public License, version 3, these
 * Appropriate Legal Notices must retain the logo of Zarafa or display
 * the words "Initial Development by Zarafa" if the display of the logo
 * is not reasonably feasible for technical reasons. The use of the logo
 * of Zarafa in Legal Notices is allowed for unmodified and modified
 * versions of the software.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Affero General Public License for more details.
 *  
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */

?>
<?
/**
 * Alfresco Plugin - files from an email in the Webaccess
 *
 * Created on 14.12.2009
 * Author: Manfred Kutas <m.kutas@zarafaserver.com.br>
 *
 */


function getDialogTitle() {
    return dgettext('plugin_alfresco', "Alfresco Space"); // use gettext here
}

function getModuleName() {
    return "alfrescospacemodule";
}

function getIncludes() {
    $includes = array(
        PATH_PLUGIN_DIR."/alfresco/".getModuleName().".js",
        PATH_PLUGIN_DIR."/alfresco/include/dtree.js",
        PATH_PLUGIN_DIR."/alfresco/plugin.alfresco.css",
        PATH_PLUGIN_DIR."/alfresco/include/dtree.css",
        PATH_PLUGIN_DIR."/alfresco/plugin.alfresco.css"
    );
    return $includes;
}

function getJavaScript_onload(){
?>
    module.init(moduleID);
    module.loadAttachmentsInformation('<?=$_GET['storeid'] ?>', '<?=$_GET['parententryid'] ?>','<?=$_GET['entryid'] ?>');
    module.loadAlfrescoData();
<?php }


function getBody(){ ?>
        <div id="alfrescospaces">
            <fieldset id="files">
                <legend><?= dgettext('plugin_alfresco', "Select files to archive") ?></legend>
                    <dt><div id="attachmentstoarchive" style="height:250px; background-color:#ffffff; overflow: auto; padding:2px; margin-right:1px; border-width: 1px; border-style: inset; border-color: black; " class="dtree">
                    </div>
                    <input class="alButtonLarge" type="button" value="<?=dgettext('plugin_alfresco', "Select all")?>" title="<?=dgettext('plugin_alfresco', "Select all")?>" onclick="module.selectAllFiles();" />
                    <input class="alButtonLarge" type="button" value="<?=dgettext('plugin_alfresco', "Deselect all")?>" title="<?=dgettext('plugin_alfresco', "Deselect all")?>" onclick="module.deselectAllFiles();" />

                </dt>
               <br><legend><?= dgettext('plugin_alfresco', "Select space to archive to") ?></legend>
                    <dt><div id="alfrescoSpacesTree" style="height:200px; background-color:#ffffff; overflow: auto; padding:2px; margin-right:1px; border-width: 1px; border-style: inset; border-color: black; " class="dtree">
                    <script type="text/javascript">
                        <!--

                        alTree = new dTree('alTree', '<?= PATH_PLUGIN_DIR ."/alfresco/" ?>');

                        // add the root node
                        var data = {
                            space_id: 0,
                            parent_id: -1,
                            display_name: dgettext('plugin_alfresco', "Alfresco Spaces"),
                            title: dgettext('plugin_alfresco', "Alfresco Spaces"),
                            full_path: '',
                            url: null,
                            size: '<i>'+dgettext('plugin_alfresco', "size")+'</i>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'
                        }
                        alTree.addAlfresco(data);

                        // initialize and show the "loading" node
                        data = {
                            space_id: 1,
                            parent_id: 0,
                            display_name: ' '+dgettext('plugin_alfresco', "loading")+'...',
                            title: dgettext('plugin_alfresco', "loading"),
                            full_path: '',
                            url: null,
                            size: '',
                            icon: "<?= PATH_PLUGIN_DIR ?>/alfresco/img/loader.gif"
                        }
                        alTree.setLoadingNode(data);
                        alTree.showLoadingNode();

                        document.write(alTree);

                        //-->
                    </script>

                    </div>
                </dt>
                <dt>
                    <table style="width: 100%; margin: 0; padding: 0;"><tr>
                    <td style="width: 100%;">
                        <input class="alButton" type="button" value="<?=dgettext('plugin_alfresco', "Expand")?>" title="<?=dgettext('plugin_alfresco', "Opens all nodes")?>" onclick="alTree.openAll();" />
                        <input class="alButton" type="button" value="<?=dgettext('plugin_alfresco', "Collapse")?>" title="<?=dgettext('plugin_alfresco', "Closes all nodes")?>" onclick="alTree.closeAll();" />
                    </td>
                    <td><div id="alfrescoFound"></div></td>
                    </tr></table>
                </dt>
            </fieldset>
            <br>
            <input class="alButtonLarge" type="button" value="<?=dgettext('plugin_alfresco', "Archive selected")?>" title="<?=dgettext('plugin_alfresco', "Archive selected")?>" onclick="module.archiveFiles(alTree);" />
            <?=createCloseButton("window.close();")?>
        </div>
<?php } // getBody

?>
